# ``twisted`.`conch`.`ssh`.`keys`.`FingerprintFormats``

class documentation

`class FingerprintFormats(Names): (source)`

View In Hierarchy

Constants representing the supported formats of key fingerprints.

Constant | `MD5_HEX` | Named constant representing fingerprint format generated using md5[RFC1321] algorithm in hexadecimal encoding.
Constant | `SHA256_BASE64` | Named constant representing fingerprint format generated using sha256[RFC4634] algorithm in base64 encoding

MD5_HEX: `twisted.python.constants.NamedConstant` = (source)
Named constant representing fingerprint format generated using md5[RFC1321] algorithm in hexadecimal encoding.

Value

    NamedConstant()

SHA256_BASE64: `twisted.python.constants.NamedConstant` = (source)
Named constant representing fingerprint format generated using sha256[RFC4634] algorithm in base64 encoding

Value

    NamedConstant()